Create Service Request History: Buildium
https://api.propexo.com/v1/service-request-history/buildium/| Interface | Method |
|---|---|
| Tasks | PUT /tasks/:taskId |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the service request
The Propexo unique identifier for the employee
The raw status associated with the service request history
Show 5 enum values
NewInProgressCompletedDeferredClosedNotes associated with the service request history
Possible values: <= 65500 characters
Notes associated with the service request history
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the service request
The Propexo unique identifier for the employee
The raw status associated with the service request history
Show 5 enum values
NewInProgressCompletedDeferredClosedNotes associated with the service request history
Possible values: <= 65500 characters
Notes associated with the service request history
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/service-request-history/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"service_request_id": "string",
"employee_id": "string",
"status_raw": "New"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"service_request_id": "string",
"employee_id": "string",
"status_raw": "New",
"notes": "string",
"contact_first_name": "string"
}
}